# Created by pyp2rpm-3.3.4
%global pypi_name brotlipy

Name:           python-%{pypi_name}
Version:        0.7.0
Release:        1%{?dist}
Summary:        Python binding to the Brotli library

License:        MIT
URL:            https://github.com/python-hyper/brotlipy/
Source0:        %{pypi_source}

BuildRequires:  gcc-c++
BuildRequires:  python3-devel
BuildRequires:  python3dist(cffi) >= 1
BuildRequires:  python3dist(setuptools)

%description
This library contains Python bindings for the reference Brotli encoder/decoder,
available here_. This allows Python software to use the Brotli compression
algorithm directly from Python code.To use it simply, try this:.. code-block::
python import brotli data brotli.decompress(compressed_data)More information
can be found in the documentation_... _available here: .. _in the
documentation: The...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(cffi) >= 1
Requires:       (python3dist(enum34) >= 1.0.4 with python3dist(enum34) < 2)
%description -n python3-%{pypi_name}
This library contains Python bindings for the reference Brotli encoder/decoder,
available here_. This allows Python software to use the Brotli compression
algorithm directly from Python code.To use it simply, try this:.. code-block::
python import brotli data brotli.decompress(compressed_data)More information
can be found in the documentation_... _available here: .. _in the
documentation: The...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license libbrotli/LICENSE LICENSE
%doc README.rst
%{python3_sitearch}/brotli
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Sun Jul 19 2020 Felix Kaechele <felix@kaechele.ca> - 0.7.0-1
- Initial package.
